Page MenuHomePhabricator

Run PurgeScoreCache.php on all wikis that have ORES enabled
Closed, ResolvedPublic

Description

The script is good as it-is but needs to be ran on all wikis to clean lots of old scores.

Event Timeline

Ladsgroup triaged this task as High priority.Jul 30 2018, 10:49 AM
Ladsgroup created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2018, 10:49 AM
Ladsgroup renamed this task from Rework PurgeScoreCache.php to Run PurgeScoreCache.php on all wikis that have ORES enabled.Jul 30 2018, 3:02 PM
Ladsgroup updated the task description. (Show Details)

I ran it everywhere but it failed on wikidata, each query to delete 1000 rows takes around 10 minutes :/ Will find a way around it.

Change 449768 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Join decomposition on maintenance/PurgeScoreCache.php

https://gerrit.wikimedia.org/r/449768

Change 450066 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.15] Join decomposition on maintenance/PurgeScoreCache.php

https://gerrit.wikimedia.org/r/450066

Change 450066 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.15] Join decomposition on maintenance/PurgeScoreCache.php

https://gerrit.wikimedia.org/r/450066

Mentioned in SAL (#wikimedia-operations) [2018-08-02T18:20:07Z] <ladsgroup@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/ORES/maintenance/PurgeScoreCache.php: SWAT: [[gerrit:450066|Join decomposition on maintenance/PurgeScoreCache.php (T200680)]] (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2018-08-02T18:21:18Z] <Amir1> ladsgroup@mwmaint1001:~$ mwscript extensions/ORES/maintenance/PurgeScoreCache.php --wiki=wikidatawiki and --old (T200680)

Ladsgroup closed this task as Resolved.Aug 2 2018, 6:22 PM
Ladsgroup moved this task from Review to Done on the Scoring-platform-team (Current) board.

Change 449768 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Join decomposition on maintenance/PurgeScoreCache.php

https://gerrit.wikimedia.org/r/449768